<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.aiccs.market.mapper.EntAddressGeoLogMapper">

    <select id="selectNotMatchEnt" resultType="com.chinaweal.aiccs.aiccs.market.entity.EntAddressGeoLog">
        select e.pripid as "pripid", e.uniscid as "uniscid", e.dom as "address"
        from e_baseinfo e left join ent_address_geo_log agl on agl.pripid = e.pripid
        where agl.pox is null
        <if test="beginPripid != null and beginPripid != ''">
            and e.pripid &gt; #{beginPripid}
        </if>
        order by e.pripid asc
        limit #{limit}
    </select>
</mapper>
